Trades
Get execution records (trades) for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.
Authorizations
Query parameters
symbolstringRequired
Trading pair symbol
pageintegerOptional
Page number for pagination, default is 1
limitintegerOptional
Limit number of records per page, default is 10
Header parameters
X-API-KEYstringRequired
API Key
Responses
200
Paginated account trades with decimal-adjusted quantities
application/json
total_countintegerOptional
total_pageintegerOptional
400
Bad Request
application/json
401
Unauthorized
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
get/accounts/trades
GET /accounts/trades?symbol=text HTTP/1.1
X-API-KEY: text
Accept: */*
{
"data": [
{
"account_id": "550e8400-e29b-41d4-a716-446655440001",
"commission": "0.0465",
"commission_unit": "lovelace",
"counter_party_order_id": "550e8400-e29b-41d4-a716-446655440003",
"created_at": "2024-01-01T00:00:00Z",
"execution_price": "0.93",
"filled_base_qty": "50.00",
"filled_quote_qty": "46.50",
"id": "550e8400-e29b-41d4-a716-446655440002",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "taker"
}
],
"total_count": 1,
"total_page": 1
}Last updated